Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultMVCGroup

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractMVCGroup
          org.codehaus.griffon.runtime.core.DefaultMVCGroup

    public class DefaultMVCGroup
    extends AbstractMVCGroup

Default implementation of the `MVCGroup` interface

Authors:
  Andres Almiray

Since:
  0.9.3

Field Summary

Fields inherited from class AbstractMVCGroup
alive, app, configuration, lock, members, mvcId, scriptResults

Constructor Summary
`DefaultMVCGroup(GriffonApplication app, MVCGroupConfiguration configuration, String mvcId, Map members)`

Method Summary

Methods inherited from class AbstractMVCGroup
buildScriptMember, checkIfAlive, destroy, getApp, getBuilder, getConfiguration, getController, getMember, getMembers, getModel, getMvcId, getMvcType, getScriptResult, getView, isAlive

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DefaultMVCGroup

    public DefaultMVCGroup(GriffonApplication app, MVCGroupConfiguration configuration, String mvcId, Map members)

Groovy Documentation